Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.consumer.storedquery
Class MalformedStoredQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ohf.ihe.xds.consumer.storedquery.MalformedStoredQueryException

All Implemented Interfaces:
  java.io.Serializable

    public class MalformedStoredQueryException

extends java.lang.Exception

Used to indicate a problem in automatically building the SQL for a particulary Query. Supports the IHE XDS Consumer actor in Transaction ITI-16: Query Registry

Author:
  Sarah Knoop
See Also:
  IHE Technical Framework, Serialized Form

Constructor Summary
`MalformedStoredQueryException()`
`MalformedStoredQueryException(java.lang.String arg0)`
`MalformedStoredQueryException(java.lang.String arg0, java.lang.Throwable arg1)`
`MalformedStoredQueryException(java.lang.Throwable arg0)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MalformedStoredQueryException

    public MalformedStoredQueryException()

### MalformedStoredQueryException

    public MalformedStoredQueryException(java.lang.String arg0,
                                         java.lang.Throwable arg1)

### MalformedStoredQueryException

    public MalformedStoredQueryException(java.lang.String arg0)

### MalformedStoredQueryException

    public MalformedStoredQueryException(java.lang.Throwable arg0)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD